UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMMonitorStatisticsCallbackObject Class Referenceabstract

## Public Member Functions
void | onReceive (LBMReceiverStatistics lbmrcvstats)
void | onReceive (LBMSourceStatistics lbmsrcstats)
void | onReceive (LBMContextStatistics lbmctxstats)
void | onReceive (LBMEventQueueStatistics lbmevqstats)
void | onReceive (LBMImmediateMessageSourceStatistics lbmsrcimstats)
void | onReceive (LBMImmediateMessageReceiverStatistics lbmrcvimstats)
void | onReceive (short type, short format, ByteBuffer attributes, ByteBuffer stats)

## Detailed Description

Abstract class for handling the reception of UM receiver statistics.

## Member Function Documentation

void com.latencybusters.lbm.LBMMonitorStatisticsCallbackObject.onReceive | ( | LBMReceiverStatistics | lbmrcvstats | ) |

Receiver statistics callback.

Parameters

  lbmrcvstats | LBMReceiverStatistics object encapsulating the received (UM receiver) statistics

Referenced by com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback().

void com.latencybusters.lbm.LBMMonitorStatisticsCallbackObject.onReceive | ( | LBMSourceStatistics | lbmsrcstats | ) |

Source statistics callback.

Parameters

  lbmsrcstats | LBMSourceStatistics object encapsulating the received (UM source) statistics

void com.latencybusters.lbm.LBMMonitorStatisticsCallbackObject.onReceive | ( | LBMContextStatistics | lbmctxstats | ) |

Context statistics callback.

Parameters

  lbmctxstats | LBMContextStatistics object encapsulating the received (UM context) statistics

void com.latencybusters.lbm.LBMMonitorStatisticsCallbackObject.onReceive | ( | LBMEventQueueStatistics | lbmevqstats | ) |

Event queue statistics callback.

Parameters

  lbmevqstats | LBMEventQueueStatistics object encapsulating the received (UM event queue) statistics

void com.latencybusters.lbm.LBMMonitorStatisticsCallbackObject.onReceive | ( | LBMImmediateMessageSourceStatistics | lbmsrcimstats | ) |

Immediate message source statistics callback.

Parameters

  lbmsrcimstats | LBMImmediateMessageSourceStatistics object encapsulating the received (UM immediate message source) statistics

void com.latencybusters.lbm.LBMMonitorStatisticsCallbackObject.onReceive | ( | LBMImmediateMessageReceiverStatistics | lbmrcvimstats | ) |

Immediate message receiver statistics callback.

Parameters

  lbmrcvimstats | LBMImmediateMessageReceiverStatistics object encapsulating the received (UM immediate message receiver) statistics

void com.latencybusters.lbm.LBMMonitorStatisticsCallbackObject.onReceive | ( | short | type,
|  | short | format,
|  | ByteBuffer | attributes,
|  | ByteBuffer | stats
| ) |  |

Passthrough statistics callback.

Parameters

  type | The type of message in stats. See LBMMonitor.LBMMON_PACKET_TYPE_*
  format | The format of attributes. See LBMMonitor.FORMAT_*
  attributes | ByteBuffer. For CSV, contains Attribute table. For PB, set to null (the attributes are part of the PB binary message pointed to by stats).
  stats | ByteBuffer contains either a CSV message or a PB binary message created from UMSMonProtos

The documentation for this class was generated from the following file:

- LBMMonitorStatisticsCallbackObject.java